#!/bin/bash
# Start install-script for alarmdisplay

PKGNAME=alarmdisplay
LIST=${PKGNAME}.list
PPAURI="https://alarmdisplay.feuerwehr.vollbuettel.de/apt"

if ! ping -c 1 google.de >/dev/null 2>/dev/null; then
	echo "Internetverbindung fehlerhaft."
else
	if ! [ -e /etc/apt/sources.list.d/${LIST} ]; then
		# Hole PPA-Konfiguration
		wget -O /etc/apt/sources.list.d/${LIST} ${PPAURI}/${LIST}
		# Signiere PPA
		wget -O - ${PPAURI}/${PKGNAME}.key | apt-key add -
	fi

	apt-get update
	apt-get -y install ${PKGNAME}
	apt-get -y install unattended-upgrades
	apt-get -y dist-upgrade

	if ! grep -q quiet /boot/cmdline.txt; then
		sed -i 's|$| quiet|' /boot/cmdline.txt
	fi
fi

if [ -d /opt/alarmdisplay ]; then
	# stop this service from running at boot again
	systemctl disable alarmdisplay-install.service 

	# Aktiviere Systemd-Aktionen
	systemctl enable alarmdisplay.service
	systemctl enable message-splitter.service
	systemctl enable melderd.service
	systemctl enable melderd.path
fi
init 6
